package com.foreverwin.mesnac.meapi.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author Leon.L
 * @since 2021-05-26
 */
@TableName("RESRCE")
public class Resrce extends Model<Resrce> {

    private static final long serialVersionUID = 1L;

   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
   @TableField("CHANGE_STAMP")
   private Long changeStamp;
   @TableField("SITE")
   private String site;
   @TableField("RESRCE")
   private String resrce;
   @TableField("DESCRIPTION")
   private String description;
   @TableField("STATUS_BO")
   private String statusBo;
   @TableField("PROCESS_RESOURCE")
   private String processResource;
   @TableField("OPERATION_BO")
   private String operationBo;
   @TableField("VALID_FROM")
   private LocalDateTime validFrom;
   @TableField("VALID_TO")
   private LocalDateTime validTo;
   @TableField("SETUP_STATE")
   private String setupState;
   @TableField("SETUP_DESCRIPTION")
   private String setupDescription;
   @TableField("CNC_MACHINE")
   private String cncMachine;
   @TableField("PENDING_STATUS_BO")
   private String pendingStatusBo;
   @TableField("PENDING_REASON_CODE_BO")
   private String pendingReasonCodeBo;
   @TableField("PENDING_RESOURCE_RC_BO")
   private String pendingResourceRcBo;
   @TableField("PENDING_COMMENTS")
   private String pendingComments;
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
   @TableField("ERP_PLANT_MAINT_ORDER")
   private String erpPlantMaintOrder;
   @TableField("ERP_EQUIPMENT_NUMBER")
   private String erpEquipmentNumber;
   @TableField("ERP_INTERNAL_ID")
   private Long erpInternalId;
   @TableField("ERP_CAPACITY_CATEGORY")
   private String erpCapacityCategory;
   @TableField(exist = false)
   private String customField;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public Long getChangeStamp() {
      return changeStamp;
   }

   public void setChangeStamp(Long changeStamp) {
      this.changeStamp = changeStamp;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getResrce() {
      return resrce;
   }

   public void setResrce(String resrce) {
      this.resrce = resrce;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getStatusBo() {
      return statusBo;
   }

   public void setStatusBo(String statusBo) {
      this.statusBo = statusBo;
   }

   public String getProcessResource() {
      return processResource;
   }

   public void setProcessResource(String processResource) {
      this.processResource = processResource;
   }

   public String getOperationBo() {
      return operationBo;
   }

   public void setOperationBo(String operationBo) {
      this.operationBo = operationBo;
   }

   public LocalDateTime getValidFrom() {
      return validFrom;
   }

   public void setValidFrom(LocalDateTime validFrom) {
      this.validFrom = validFrom;
   }

   public LocalDateTime getValidTo() {
      return validTo;
   }

   public void setValidTo(LocalDateTime validTo) {
      this.validTo = validTo;
   }

   public String getSetupState() {
      return setupState;
   }

   public void setSetupState(String setupState) {
      this.setupState = setupState;
   }

   public String getSetupDescription() {
      return setupDescription;
   }

   public void setSetupDescription(String setupDescription) {
      this.setupDescription = setupDescription;
   }

   public String getCncMachine() {
      return cncMachine;
   }

   public void setCncMachine(String cncMachine) {
      this.cncMachine = cncMachine;
   }

   public String getPendingStatusBo() {
      return pendingStatusBo;
   }

   public void setPendingStatusBo(String pendingStatusBo) {
      this.pendingStatusBo = pendingStatusBo;
   }

   public String getPendingReasonCodeBo() {
      return pendingReasonCodeBo;
   }

   public void setPendingReasonCodeBo(String pendingReasonCodeBo) {
      this.pendingReasonCodeBo = pendingReasonCodeBo;
   }

   public String getPendingResourceRcBo() {
      return pendingResourceRcBo;
   }

   public void setPendingResourceRcBo(String pendingResourceRcBo) {
      this.pendingResourceRcBo = pendingResourceRcBo;
   }

   public String getPendingComments() {
      return pendingComments;
   }

   public void setPendingComments(String pendingComments) {
      this.pendingComments = pendingComments;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getErpPlantMaintOrder() {
      return erpPlantMaintOrder;
   }

   public void setErpPlantMaintOrder(String erpPlantMaintOrder) {
      this.erpPlantMaintOrder = erpPlantMaintOrder;
   }

   public String getErpEquipmentNumber() {
      return erpEquipmentNumber;
   }

   public void setErpEquipmentNumber(String erpEquipmentNumber) {
      this.erpEquipmentNumber = erpEquipmentNumber;
   }

   public Long getErpInternalId() {
      return erpInternalId;
   }

   public void setErpInternalId(Long erpInternalId) {
      this.erpInternalId = erpInternalId;
   }

   public String getErpCapacityCategory() {
      return erpCapacityCategory;
   }

   public void setErpCapacityCategory(String erpCapacityCategory) {
      this.erpCapacityCategory = erpCapacityCategory;
   }

   public String getCustomField() {
      return customField;
   }

   public void setCustomField(String customField) {
      this.customField = customField;
   }

   public static final String HANDLE = "HANDLE";

public static final String CHANGE_STAMP = "CHANGE_STAMP";

public static final String SITE = "SITE";

public static final String RESRCE = "RESRCE";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String STATUS_BO = "STATUS_BO";

public static final String PROCESS_RESOURCE = "PROCESS_RESOURCE";

public static final String OPERATION_BO = "OPERATION_BO";

public static final String VALID_FROM = "VALID_FROM";

public static final String VALID_TO = "VALID_TO";

public static final String SETUP_STATE = "SETUP_STATE";

public static final String SETUP_DESCRIPTION = "SETUP_DESCRIPTION";

public static final String CNC_MACHINE = "CNC_MACHINE";

public static final String PENDING_STATUS_BO = "PENDING_STATUS_BO";

public static final String PENDING_REASON_CODE_BO = "PENDING_REASON_CODE_BO";

public static final String PENDING_RESOURCE_RC_BO = "PENDING_RESOURCE_RC_BO";

public static final String PENDING_COMMENTS = "PENDING_COMMENTS";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

public static final String ERP_PLANT_MAINT_ORDER = "ERP_PLANT_MAINT_ORDER";

public static final String ERP_EQUIPMENT_NUMBER = "ERP_EQUIPMENT_NUMBER";

public static final String ERP_INTERNAL_ID = "ERP_INTERNAL_ID";

public static final String ERP_CAPACITY_CATEGORY = "ERP_CAPACITY_CATEGORY";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "Resrce{" +
         "handle = " + handle +
         ", changeStamp = " + changeStamp +
         ", site = " + site +
         ", resrce = " + resrce +
         ", description = " + description +
         ", statusBo = " + statusBo +
         ", processResource = " + processResource +
         ", operationBo = " + operationBo +
         ", validFrom = " + validFrom +
         ", validTo = " + validTo +
         ", setupState = " + setupState +
         ", setupDescription = " + setupDescription +
         ", cncMachine = " + cncMachine +
         ", pendingStatusBo = " + pendingStatusBo +
         ", pendingReasonCodeBo = " + pendingReasonCodeBo +
         ", pendingResourceRcBo = " + pendingResourceRcBo +
         ", pendingComments = " + pendingComments +
         ", createdDateTime = " + createdDateTime +
         ", modifiedDateTime = " + modifiedDateTime +
         ", erpPlantMaintOrder = " + erpPlantMaintOrder +
         ", erpEquipmentNumber = " + erpEquipmentNumber +
         ", erpInternalId = " + erpInternalId +
         ", erpCapacityCategory = " + erpCapacityCategory +
         "}";
   }
}